## org.gnu.gdk
Class WindowTypeHint

    java.lang.Object
      org.gnu.glib.Enum
          org.gnu.gdk.WindowTypeHint

public class WindowTypeHint
extends org.gnu.glib.Enum

Field Summary
`static WindowTypeHint` `DIALOG`
`static WindowTypeHint` `MENU`
`static WindowTypeHint` `NORMAL`
`static WindowTypeHint` `TOOLBAR`

Method Summary
`WindowTypeHint` `and(WindowTypeHint other)`
`static WindowTypeHint` `intern(int value)`
`WindowTypeHint` `or(WindowTypeHint other)`
`boolean` `test(WindowTypeHint other)`
`WindowTypeHint` `xor(WindowTypeHint other)`

Methods inherited from class org.gnu.glib.Enum
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NORMAL

    public static final WindowTypeHint NORMAL

### DIALOG

    public static final WindowTypeHint DIALOG

### MENU

    public static final WindowTypeHint MENU

### TOOLBAR

    public static final WindowTypeHint TOOLBAR

Method Detail

### intern

    public static WindowTypeHint intern(int value)

### or

    public WindowTypeHint or(WindowTypeHint other)

### and

    public WindowTypeHint and(WindowTypeHint other)

### xor

    public WindowTypeHint xor(WindowTypeHint other)

### test

    public boolean test(WindowTypeHint other)